Reorder product files
PUT
/v2/product-catalog/products/{id}/files/reorder
const url = 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/files/reorder';const options = { method: 'PUT', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"fileOrders":[{"displayOrder":1,"fileId":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api-crm-staging.divinea.com/api/v2/product-catalog/products/example/files/reorder \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "fileOrders": [ { "displayOrder": 1, "fileId": 1 } ] }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”id
required
string format: uuid
Id
Request Body
Sezione intitolata “Request Body”Request
Media typeapplication/json
ReorderFilesRequest
object
fileOrders
Array<object>
FileOrderDTOobject
displayOrder
integer format: int32
fileId
integer format: int64
Examplegenerated
{ "fileOrders": [ { "displayOrder": 1, "fileId": 1 } ]}Responses
Sezione intitolata “Responses”OK
Media type*/*